DELETE /auth/fido

Unregister a FIDO device from WebAuthn authentication. It requires two-factor authentication verification.

application/json

Body Required

  • device_name string Required

    Name of the FIDO device to unregister

Responses

  • 200

    FIDO device unregistered

  • 400

    FIDO not enabled

DELETE /auth/fido
curl -X DELETE "http://api.example.com/auth/fido" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "totp": "",
  "email_otp": "",
  "fido_authentication_response": {},
  "recovery_code": "",
  "device_name": ""
}'
import requests

url = "http://api.example.com/auth/fido"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "totp": "",
    "email_otp": "",
    "fido_authentication_response": {},
    "recovery_code": "",
    "device_name": ""
}

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request DELETE 'http://api.example.com/auth/fido' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"device_name":"string"}'
Request examples
{
  "device_name": "string"
}